import request from '@/benyun/utils/request'

//异常查询
export function queryAll(){
	return request({
		url: '/omsOrder/omsQuestionType/queryAll',
		method: 'GET'
	})
}
//新增
export function save(data:any){
	return request({
		url: '/omsOrder/omsQuestionType/save',
		method: 'POST',
		params: data
	})
}
//修改顺序
export function updateOrdered(data:any){
	return request({
		url: '/omsOrder/omsQuestionType/updateOrdered',
		method: 'POST',
		params: data
	})
}
//修改优先级
export function updatePriority(data:any){
	return request({
		url: '/omsOrder/omsQuestionType/updatePriority',
		method: 'POST',
		params: data
	})
}
//修改显示
export function updateShow(data:any){
	return request({
		url: '/omsOrder/omsQuestionType/updateShow',
		method: 'POST',
		params: data
	})
}
//删除
export function del(data:any){
	return request({
		url: '/omsOrder/omsQuestionType/delete',
		method: 'POST',
		params: data
	})
}
//查询异常类型(仅系统异常)
export function querySys(){
	return request({
		url: '/omsOrder/omsQuestionType/querySys',
		method: 'GET'
	})
}